oracle.dbtools.plugin.api.routes

## Interface PathTemplateMatch

-     public interface PathTemplateMatch

  Represents the `PathTemplate` that was matched to a request
  Author:
    cdivilly

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` The optional mnemonic name assigned to the `PathTemplate` that was matched to this request, in other words the value of the `PathTemplate.name()` property.
    `MultiMap<String,String>` | `parameters()` The parameters extracted from the matching request path.
    `MultiMap<String,String>` | `parameters(boolean decode)` The parameters extracted from the matching request path.
    `String` | `pattern()` The pattern of the `PathTemplate` that was matched against this request

- - ### Method Detail

    - #### name

          String name()

      The optional mnemonic name assigned to the `PathTemplate` that was matched to this request, in other words the value of the `PathTemplate.name()` property.
      Returns:
        String containing `PathTemplate` name, or null if no named was specified.

    - #### pattern

          String pattern()

      The pattern of the `PathTemplate` that was matched against this request
      Returns:
        route pattern

    - #### parameters

          MultiMap<String,String> parameters()

      The parameters extracted from the matching request path. The values are not URL encoded. This method is equivalent to calling `parameters(boolean)` with a `true` argument.
      Returns:
        The matched parameters, the values are not URL encoded

    - #### parameters

          MultiMap<String,String> parameters(boolean decode)

      The parameters extracted from the matching request path.
      Parameters:
        `decode` - If `true` the values are not URL encoded. If `false` the values are URL encoded.
      Returns:
        The matched parameters.

Copyright © 2010, 2022, Oracle and/or its affiliates.